<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.00
| Author: Matias Casas (PhAnToM) for
| PHP-Fusion Argentina - www.php-fusion.com.ar
+--------------------------------------------------------+
| LOA Shoutbox Center panel was inspired by Shoutbox from 
| Fangree Productions - www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."shoutbox_center_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."shoutbox_center_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."shoutbox_center_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."shoutbox_center_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['scp_title'];
$inf_description = $locale['scp_desc'];
$inf_version = "1.0";
$inf_developer = "Matias Casas (PhAnToM)";
$inf_email = "phantom@loa-team.com.ar";
$inf_weburl = "http://www.php-fusion.com.ar";

$inf_folder = "shoutbox_center_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_SHOUTBOXCP_SETTINGS." (
scp_status TINYINT(1) UNSIGNED DEFAULT '1' NOT NULL,
scp_avatar TINYINT(1) UNSIGNED DEFAULT '1' NOT NULL,
scp_avatar_url VARCHAR(200) DEFAULT '' NOT NULL,
scp_message VARCHAR(200) DEFAULT '' NOT NULL,
PRIMARY KEY (scp_message)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_SHOUTBOXCP_SETTINGS." (scp_status, scp_avatar, scp_avatar_url, scp_message) VALUES('1', '1', '', 'No Support Questions, No Spam, No Flaming, & No Swearing')";

$inf_droptable[1] = DB_SHOUTBOXCP_SETTINGS;

$inf_adminpanel[1] = array(
	"title" => $locale['scp_admin1'],
	"image" => "",
	"panel" => "shoutbox_admin.php",
	"rights" => "SCP"
);
?>